Search documentation of ash

# Ash.Error.Framework.FlagAssertionFailed exception (ash v3.4.71)

View Source

Used when unreachable code/conditions are reached in the framework

# Summary

## Functions

exception(args)

Create an `Elixir.Ash.Error.Framework.FlagAssertionFailed` without raising it.

# Functions

# exception(args)

    @spec exception(opts :: Keyword.t()) :: %Ash.Error.Framework.FlagAssertionFailed{
      __exception__: true,
      bread_crumbs: term(),
      class: term(),
      flag: term(),
      heading: term(),
      path: term(),
      splode: term(),
      stacktrace: term(),
      vars: term()
    }

Create an `Elixir.Ash.Error.Framework.FlagAssertionFailed` without raising it.

## Keys

- :flag
- :heading